CUPTI (PDF) - v6.5 (older) - Last updated August 1, 2014 - Send Feedback -

## 3.16. CUpti_ActivityInstructionExecution Struct Reference

## [CUPTI Activity API]

This activity records source level sass/source correlation information. (CUPTI_ACTIVITY_KIND_INSTRUCTION_EXECUTION).

### Public Variables

uint32_t correlationId
uint32_t executed
CUpti_ActivityFlag flags
uint32_t functionId
CUpti_ActivityKind kind
uint64_t notPredOffThreadsExecuted
uint32_t pad
uint32_t pcOffset
uint32_t sourceLocatorId
uint64_t threadsExecuted

### Variables

uint32_t CUpti_ActivityInstructionExecution::correlationId [inherited]

  The correlation ID of the kernel to which this result is associated.

uint32_t CUpti_ActivityInstructionExecution::executed [inherited]

  The number of times this instruction was executed.

CUpti_ActivityFlag CUpti_ActivityInstructionExecution::flags [inherited]

  The properties of this instruction execution. Check mask CUPTI_ACTIVITY_FLAG_INSTRUCTION_VALUE_INVALID to determine whether threadsExecuted, notPredOffThreadsExecuted and executed are valid for the instruction. Check mask CUPTI_ACTIVITY_FLAG_INSTRUCTION_CLASS_MASK to identify the instruction class. See CUpti_ActivityInstructionClass.

uint32_t CUpti_ActivityInstructionExecution::functionId [inherited]

  Correlation ID with global/device function name

CUpti_ActivityKind CUpti_ActivityInstructionExecution::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_INSTRUCTION_EXECUTION.

uint64_t CUpti_ActivityInstructionExecution::notPredOffThreadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction with predicate and condition code evaluating to true.

uint32_t CUpti_ActivityInstructionExecution::pad [inherited]

  Undefined. Reserved for internal use.

uint32_t CUpti_ActivityInstructionExecution::pcOffset [inherited]

  The pc offset for the instruction.

uint32_t CUpti_ActivityInstructionExecution::sourceLocatorId [inherited]

  The ID for source locator.

uint64_t CUpti_ActivityInstructionExecution::threadsExecuted [inherited]

  This increments each time when this instruction is executed by number of threads that executed this instruction, regardless of predicate or condition code.